Subject: Re: [PATCH net-next 03/28] sfc: Copy shared files needed for Siena

From: Jakub Kicinski <[email-masked]>
Date: Mon, 25 Apr 2022 12:14:08 -0700

On Mon, 25 Apr 2022 08:22:57 +0100 Martin Habets wrote:
> > This ginormous patch does not make it thru the mail systems.
> > I'm guessing there is a (perfectly reasonable) 1MB limit somewhere.  
> 
> I think the issue is with mcdi_pcol.h, which is 1.1MB of defines
> generated from the hardware databases. It has grown slowely over the
> years.
> I'll split up this patch and see if I can manually cut down mcdi_pcol.h.

FWIW the patch did finally make an appearance on the ML but the point
stands. Chiseling down the auto-generated protocol definition for a EoL
part seems like a very nice solution.